cc.Class({
    extends: cc.Component,

    properties: {
        bigNode:cc.Node,
        littleNode:cc.Node
    },

    // LIFE-CYCLE CALLBACKS:

    onLoad () {
        this.bigNode.on('touchstart',()=>{
            cc.log('touchstart big');
        });
        this.bigNode.on('touchend',()=>{
            cc.log('touchend big');
        });
        this.littleNode.on('touchstart',()=>{
            cc.log('touchstart littleNode');
        });
        this.littleNode.on('touchend',()=>{
            cc.log('touchend littleNode');
        });
        cc.tween(this.littleNode).then(
            cc.tween().by(2,{position:cc.v2(960,0)}).
            by(2,{position:cc.v2(-960,0)})
        ).repeatForever().start();
    },
    // update (dt) {},
});
